try:
    import urequests as requests #For MicroPython
except :
    import requests
import json

with open("config.json", 'r') as f:
    config = json.load(f)

offset = "0"
while True:
    #long poll for response
    querry = 'limit=1&offset={}&timeout=10'.format(offset)
    try:
        resp = requests.get(url='https://api.telegram.org/bot{}/{}?{}'.format(config["token"], "getUpdates", querry))
        json = resp.json()
        resp.close()
        if json.get("result"):
            #get latest message
            offset = json.get("result")[0].get("update_id") + 1
            text = json["result"][0]["message"]["text"]
            print(text)
            #echo message
            querry = 'chat_id={}&text={}'.format(config["recipient"], text)
            requests.get(url='https://api.telegram.org/bot{}/{}?{}'.format(config["token"], "sendMessage", querry))
    except Exception as e:
        print(e)
        resp.close()

        
    
    
 
   
